<xml>
    <version>
        <DriverVersion>4.25.47.05</DriverVersion>
        <ConfigVersion>1.0.0.0</ConfigVersion>
    </version>

    <install>
        <system version="WinXp">

            <inf>
                 <file desc="FILTER">
                        <name>mod_busfiLter.inf</name>
                        <flag>0</flag>
                 </file>
                 <file desc="SERIAL">
                        <name>mod_qser2k.inf</name>
                        <flag>1</flag>
                 </file>
                 <file desc="MODEM">
                        <name>mod_qmdm2k.inf</name>
                        <flag>1</flag>
                 </file>
                 <file desc="NDIS">
                        <name>mod_qnet.inf</name>
                        <flag>1</flag>
                 </file>
                 <file desc="PCSC">
                        <name>usbccid.inf</name>
                        <flag>0</flag>
                 </file>
                 <file desc="ENUM">
                        <name>mod_jubusenum.inf</name>
                        <flag>2</flag>
                 </file>
                 <file desc="SERIAL">
                        <name>mod_jucdcacm.inf</name>
                        <flag>2</flag>
                 </file>
                 <file desc="MODEM">
                        <name>mod_jucdcmdm.inf</name>
                        <flag>2</flag>
                 </file>
                 <file desc="NDIS">
                        <name>mod_jucdcecm.inf</name>
                        <flag>2</flag>
                 </file>
                 <file desc="CTRL">
                        <name>mod_juextctrl.inf</name>
                        <flag>2</flag>
                 </file>
            </inf>

            <sys>
                 <file desc="FILTER">
                        <name>mod_usbenumfilter.sys</name>
                        <path>\system32\drivers</path>
                        <delete>1</delete>
                        <flag>0</flag>
                 </file>
                 <file desc="SERIAL">
                        <name>mod_qusbmdm.sys</name>
                        <path>\system32\drivers</path>
                        <delete>1</delete>
                        <flag>1</flag>
                 </file>
                 <file desc="NDIS">
                        <name>mod_qusbnet.sys</name>
                        <path>\system32\drivers</path>
                        <delete>1</delete>
                        <flag>1</flag>
                 </file>
                 <file desc="PCSC">
                        <name>usbccid.sys</name>
                        <path>\system32\drivers</path>
                        <delete>1</delete>
                        <flag>0</flag>
                 </file>
                 <file desc="ENUM">
                        <name>mod_jubusenum.sys</name>
                        <path>\system32\drivers</path>
                        <delete>1</delete>
                        <flag>2</flag>
                 </file>
                 <file desc="SERIAL">
                        <name>mod_jucdcacm.sys</name>
                        <path>\system32\drivers</path>
                        <delete>1</delete>
                        <flag>2</flag>
                 </file>
                 <file desc="NDIS">
                        <name>mod_jucdcecm.sys</name>
                        <path>\system32\drivers</path>
                        <delete>1</delete>
                        <flag>2</flag>
                 </file>
                 <file desc="CTRL">
                        <name>mod_juextctrl.sys</name>
                        <path>\system32\drivers</path>
                        <delete>1</delete>
                        <flag>2</flag>
                 </file>
            </sys>

            <dll>
                 <file desc="COINSTALLER">
                        <name>WdfCoInstaller01007.dll</name>
                        <path>\system32\drivers</path>
                        <delete>0</delete>
                        <flag>2</flag>
                 </file>
            </dll>

            <dev>
                 <file desc="ENUM">
                        <name>mod_jubusenum.inf</name>
                        <id>mod_enum_vbus</id>
                        <flag>2</flag>
                 </file>
            </dev>

            <parameter>

            </parameter>

        </system>

        <system version="WinVista">

            <inf>
                 <file desc="FILTER">
                        <name>mod_busfilter.inf</name>
                        <flag>0</flag>
                 </file>
                 <file desc="SERIAL">
                        <name>mod_qser2k.inf</name>
                        <flag>1</flag>
                 </file>
                 <file desc="MODEM">
                        <name>mod_qmdm2k.inf</name>
                        <flag>1</flag>
                 </file>
                 <file desc="NDIS">
                        <name>mod_qnet.inf</name>
                        <flag>1</flag>
                 </file>
                 <file desc="ENUM">
                        <name>mod_jubusenum.inf</name>
                        <flag>2</flag>
                 </file>
                 <file desc="SERIAL">
                        <name>mod_jucdcacm.inf</name>
                        <flag>2</flag>
                 </file>
                 <file desc="MODEM">
                        <name>mod_jucdcmdm.inf</name>
                        <flag>2</flag>
                 </file>
                 <file desc="NDIS">
                        <name>mod_jucdcecm.inf</name>
                        <flag>2</flag>
                 </file>
                 <file desc="CTRL">
                        <name>mod_juextctrl.inf</name>
                        <flag>2</flag>
                 </file>
            </inf>

            <sys>
                 <file desc="FILTER">
                        <name>mod_usbenumfilter.sys</name>
                        <path>\system32\drivers</path>
                        <delete>1</delete>
                        <flag>0</flag>
                 </file>
                 <file desc="SERIAL">
                        <name>mod_qusbmdm.sys</name>
                        <path>\system32\drivers</path>
                        <delete>1</delete>
                        <flag>1</flag>
                 </file>
                 <file desc="NDIS">
                        <name>mod_qusbnet.sys</name>
                        <path>\system32\drivers</path>
                        <delete>1</delete>
                        <flag>1</flag>
                 </file>
                 <file desc="ENUM">
                        <name>mod_jubusenum.sys</name>
                        <path>\system32\drivers</path>
                        <delete>1</delete>
                        <flag>2</flag>
                 </file>
                 <file desc="SERIAL">
                        <name>mod_jucdcacm.sys</name>
                        <path>\system32\drivers</path>
                        <delete>1</delete>
                        <flag>2</flag>
                 </file>
                 <file desc="NDIS">
                        <name>mod_jucdcecm.sys</name>
                        <path>\system32\drivers</path>
                        <delete>1</delete>
                        <flag>2</flag>
                 </file>
                 <file desc="CTRL">
                        <name>mod_juextctrl.sys</name>
                        <path>\system32\drivers</path>
                        <delete>1</delete>
                        <flag>2</flag>
                 </file>
            </sys>

            <dll>
                 <file desc="COINSTALLER">
                        <name>WdfCoInstaller01007.dll</name>
                        <path>\system32\drivers</path>
                        <delete>0</delete>
                        <flag>2</flag>
                 </file>
            </dll>

            <dev>
                  <file desc="ENUM">
                        <name>mod_jubusenum.inf</name>
                        <id>mod_enum_vbus</id>
                        <flag>2</flag>
               	  </file>
            </dev>

            <parameter>

            </parameter>

        </system>

        <system version="Win7">

            <inf>
                 <file desc="FILTER">
                        <name>mod_busfilter.inf</name>
                        <flag>0</flag>
                 </file>
                 <file desc="SERIAL">
                        <name>mod_qser2k.inf</name>
                        <flag>1</flag>
                 </file>
                 <file desc="MODEM">
                        <name>mod_qmdm2k.inf</name>
                        <flag>1</flag>
                 </file>
                 <file desc="NDIS">
                        <name>mod_qusbwwan.inf</name>
                        <flag>1</flag>
                 </file>
                 <file desc="PCSC">
                        <name>mod_qsmartcard.inf</name>
                        <flag>0</flag>
                 </file>
                 <file desc="ENUM">
                        <name>mod_jubusenum.inf</name>
                        <flag>2</flag>
                 </file>
                 <file desc="SERIAL">
                        <name>mod_jucdcacm.inf</name>
                        <flag>2</flag>
                 </file>
                 <file desc="MODEM">
                        <name>mod_jucdcmdm.inf</name>
                        <flag>2</flag>
                 </file>
                 <file desc="NDIS">
                        <name>mod_jucdcecm.inf</name>
                        <flag>2</flag>
                 </file>
                 <file desc="NDIS">
                        <name>mod_juwwanecm.inf</name>
                        <flag>2</flag>
                 </file>
                 <file desc="CTRL">
                        <name>mod_juextctrl.inf</name>
                        <flag>2</flag>
                 </file>
            </inf>

            <sys>
                 <file desc="FILTER">
                        <name>mod_usbenumfilter.sys</name>
                        <path>\system32\drivers</path>
                        <delete>1</delete>
                        <flag>0</flag>
                 </file>
                 <file desc="SERIAL">
                        <name>mod_qusbmdm.sys</name>
                        <path>\system32\drivers</path>
                        <delete>1</delete>
                        <flag>1</flag>
                 </file>
                 <file desc="NDIS">
                        <name>mod_qusbwwan.sys</name>
                        <path>\system32\drivers</path>
                        <delete>1</delete>
                        <flag>1</flag>
                 </file>
                 <file desc="PCSC">
                        <name>mod_qsmartcard.sys</name>
                        <path>\system32\drivers</path>
                        <delete>1</delete>
                        <flag>0</flag>
                 </file>
                 <file desc="ENUM">
                        <name>mod_jubusenum.sys</name>
                        <path>\system32\drivers</path>
                        <delete>1</delete>
                        <flag>2</flag>
                 </file>
                 <file desc="SERIAL">
                        <name>mod_jucdcacm.sys</name>
                        <path>\system32\drivers</path>
                        <delete>1</delete>
                        <flag>2</flag>
                 </file>
                 <file desc="NDIS">
                        <name>mod_jucdcecm.sys</name>
                        <path>\system32\drivers</path>
                        <delete>1</delete>
                        <flag>2</flag>
                 </file>
                 <file desc="NDIS">
                        <name>mod_juwwanecm.sys</name>
                        <path>\system32\drivers</path>
                        <delete>1</delete>
                        <flag>2</flag>
                 </file>
                 <file desc="CTRL">
                        <name>mod_juextctrl.sys</name>
                        <path>\system32\drivers</path>
                        <delete>1</delete>
                        <flag>2</flag>
                 </file>
            </sys>

            <dll>
                 <file desc="COINSTALLER">
                        <name>WdfCoInstaller01007.dll</name>
                        <path>\system32\drivers</path>
                        <delete>0</delete>
                        <flag>2</flag>
                 </file>
            </dll>

            <dev>
                 <file desc="ENUM">
                         <name>mod_jubusenum.inf</name>
                         <id>mod_enum_vbus</id>
                         <flag>2</flag>
                 </file>
            </dev>

            <parameter>
                 <registry desc="wwan connect timeout">
                         <root>HKEY_LOCAL_MACHINE</root>
                         <path>SYSTEM\CurrentControlSet\Services\mod_ewusbmbb</path>
                         <key>WWANConnectTimeOut</key>
                         <type>REG_DWORD</type>
                         <value>150</value>
                         <delete>1</delete>
                 </registry>
            </parameter>

        </system>
        <system version="Win8">

            <inf>
                 <file desc="GNSS">
                        <name>mod_gnss.inf</name>
                        <flag>0</flag>
                 </file>
            </inf>

            <sys>
                <file desc="NA">
                </file>
            </sys>

            <dll>
                 <file desc="COINSTALLER11">
                        <name>WdfCoInstaller01011.dll</name>
                        <path>\system32\drivers\UMDF</path>
                        <delete>0</delete>
                        <flag>0</flag>
                 </file>
                 <file desc="WINUSB">
                        <name>winusbcoinstaller2.dll</name>
                        <path>\system32\drivers\UMDF</path>
                        <delete>0</delete>
                        <flag>0</flag>
                 </file>
                 <file desc="WUDF">
                        <name>WudfUpdate_01011.dll</name>
                        <path>\system32\drivers\UMDF</path>
                        <delete>0</delete>
                        <flag>0</flag>
                 </file>
                 <file desc="GNSS">
                        <name>mod_gnss.dll</name>
                        <path>\system32\drivers\UMDF</path>
                        <delete>1</delete>
                        <flag>0</flag>
                 </file>
            </dll>

            <dev>
                <file desc="NA">
                </file>
            </dev>

            <parameter>
                 <registry desc="NA">
                 </registry>
            </parameter>

        </system>

    </install>

</xml>
